Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ddlutils.dynabean
Class SqlDynaProperty

    java.lang.Object
      org.apache.commons.beanutils.DynaProperty
          org.apache.ddlutils.dynabean.SqlDynaProperty

All Implemented Interfaces:
  Serializable

    public class SqlDynaProperty

extends DynaProperty

A DynaProperty which maps to a persistent Column in a database. The Column describes additional relational metadata for the property such as whether the property is a primary key column, an autoIncrement column and the SQL type etc.

Version:
  $Revision: 463757 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.commons.beanutils.DynaProperty
`contentType, name, type`

Constructor Summary
`SqlDynaProperty(Column column)` Creates a property instance for the given column that accepts any data type.
`SqlDynaProperty(Column column, Class type)` Creates a property instance for the given column that only accepts the given type.

Method Summary
`Column` | `getColumn()` Returns the column for which this property is defined.
`boolean` | `isPrimaryKey()` Determines whether this property is for a primary key column.

Methods inherited from class org.apache.commons.beanutils.DynaProperty
`getContentType, getName, getType, isIndexed, isMapped, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SqlDynaProperty

    public SqlDynaProperty(Column column)

  Creates a property instance for the given column that accepts any data type.

  Parameters:
    `column` - The column

### SqlDynaProperty

    public SqlDynaProperty(Column column,
                           Class type)

  Creates a property instance for the given column that only accepts the given type.

  Parameters:
    `column` - The column
    `type` - The type of the property

Method Detail

### getColumn

    public Column getColumn()

  Returns the column for which this property is defined.

  Returns:
    The column

### isPrimaryKey

    public boolean isPrimaryKey()

  Determines whether this property is for a primary key column.

  Returns:
    `true` if the property is for a primary key column

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.